Summary:	Genealogical Research and Analysis Management Programming System
Name:		gramps
Version:	3.3.1
Release:	%mkrel 1
License:	GPLv2+
Group:		Sciences/Other
Source0:	http://prdownloads.sourceforge.net/gramps/%{name}-%{version}.tar.gz
Source11:	%{name}-48.png
Source12:	%{name}-32.png
Source13:	%{name}-16.png
URL:		http://www.gramps-project.org
BuildArch:	noarch
BuildRequires:	desktop-file-utils
BuildRequires:	intltool
BuildRequires:	python-gobject
Requires:	pygtk2.0
Requires:	gnome-python-gconf
Requires:	gnome-python-canvas
Requires:	gnome-python-gnomevfs
Requires:	python-exiv2
Requires:	python-osmgpsmap
Requires:	python-graphviz
Requires:	shared-mime-info
Requires:	xdg-utils
Suggests:	gnome-python-gtkspell
Suggests:	python-webkitgtk
Suggests:	fonts-ttf-freefont

%description
gramps (Genealogical Research and Analysis Management Programming
System) is a GNOME based genealogy program supporting a Python
based plugin system.

%prep
%setup -q

%build
%configure2_5x --disable-mime-install --enable-packager-mode
%make

%install
rm -rf %{buildroot}
%makeinstall_std

#cleaning
rm -rf %{buildroot}/var

#menu
perl -pi -e 's,%{name}.png,%{name},g' %{buildroot}%{_datadir}/applications/*
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="Science" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

#icons
install -m644 %{SOURCE11} -D %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png

%find_lang %{name} --with-gnome --with-man

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root)
%doc README TODO
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/icons/gnome/*/mimetypes/*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/application-registry/%{name}.applications
%{_datadir}/mime-info/%{name}.*
%{_mandir}/man1/%{name}.1*
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog

* Sun Nov 27 2011 tv <tv> 3.3.1-1.mga2
+ Revision: 172534
- new release

* Tue Sep 13 2011 wally <wally> 3.3.0-3.mga2
+ Revision: 143040
- clean BRs
- clean reqs
- add missing reqs
- convert some reqs to suggests
- suggest more optional packages

* Wed Jun 29 2011 wally <wally> 3.3.0-2.mga2
+ Revision: 115579
- handle localized man pages with find_lang macro
- clean .spec a bit

  + kharec <kharec>
    - allow change on compression of manpage for futures rebuilt

* Mon Jun 27 2011 kharec <kharec> 3.3.0-1.mga2
+ Revision: 114362
- update version
- update file list

* Sun May 08 2011 kharec <kharec> 3.2.6-1.mga1
+ Revision: 96478
- new bugfix release

* Wed Mar 16 2011 tv <tv> 3.2.5-1.mga1
+ Revision: 72831
- imported package gramps

